VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()

Dim scman As SmartCardManager
Dim readerList As Readers
Dim r As Reader
Dim sc As SmartCard
Dim ret As Long
Dim sle4442Card As SLE4442

Dim memory() As Byte
Dim pin(2) As Byte

' Creates a new instance of SmartCardManager
Set scman = New SmartCardManager

' Gets the list of plugged readers
Set readerList = scman.PluggedReaders

' Shows the name of each plugged reader
For Each r In readerList
    MsgBox (r.Name)
Next

' Gets the first reader
Set r = readerList.Item(0)

' Checks if the card is present
If (Not r.IsSmartCardPresent()) Then
    MsgBox ("Inser smart card in the reader")
End If

' Waits for the card presence
ret = r.WaitForSmartCardInserted()

Set sle4442Card = New SLE4442

ret = sle4442Card.Connect(r)
If (ret <> 0) Then
    MsgBox ("Connect error: " & ret)
End If

memory = sle4442Card.ReadMainMemory(32, 10)

pin(0) = &HFF
pin(1) = &HFF
pin(2) = &HFF

ret = sle4442Card.VerifyPIN(pin(0))
If (ret <> 0) Then
    MsgBox ("VerifyPIN error: " & ret)
End If

ret = sle4442Card.UpdateMainMemory(memory(0), 32, 10)
If (ret <> 0) Then
    MsgBox ("UpdateMainMemory error: " & ret)
End If

sle4442Card.Disconnect

End Sub
